Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81612

Summary: grip lacks basic oggenc settings (such as track number) by default
Product: [Retired] Red Hat Linux Reporter: Michael Wardle <michael.wardle>
Component: gripAssignee: Bill Nottingham <notting>
Status: CLOSED WORKSFORME QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 8.0CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-06 05:21:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Wardle 2003-01-11 04:30:38 UTC
Description of problem:
When Grip is used to encode an audio CD using oggenc, the encoded Ogg Vorbis
audio files are lacking basic track information (information which is
traditionally available with MP3 files in their associated ID3 tag) such as
track number and genre.

Version-Release number of selected component (if applicable):
grip-3.0.3-fr2

How reproducible:
Always

Steps to Reproduce:
1. Encode an audio CD using Grip and oggenc
2. Open the created Ogg Vorbis audio file in an player such as Rhythmbox
    
Actual results:
The encoded tracks have no track number and no genre.

Expected results:
The encoded tracks have a track number and genre.

Additional info:
I am using a package from FreshRPMs.  I expect this also occurs in the
Red Hat package, but have not verified this.

The extra flags to oggenc to achieve the desired functionality are:
- -G %G
- -N %t

Comment 1 Bill Nottingham 2003-01-13 20:14:10 UTC
Please try and reproduce with the shipped-with-Red Hat grip.

Comment 2 Bill Nottingham 2003-02-06 05:21:08 UTC
This should work ok with Red Hat grip... it certainly adds those options by default.